<?php
	include_once '../sys/inc/start.php'; 
	include_once '../sys/inc/compress.php'; 
	include_once '../sys/inc/sess.php'; 
	include_once '../sys/inc/home.php'; 
	include_once '../sys/inc/settings.php'; 
	include_once '../sys/inc/db_connect.php'; 
	include_once '../sys/inc/ipua.php'; 
	include_once '../sys/inc/fnc.php'; 
	include_once '../sys/inc/user.php'; 
	
	
	ini_set('display_errors', 1); 
	error_reporting(E_ALL); 
	only_reg(); 
	
	// 0 - бесплатно!
	$balans_field       = "balls"; // Поле с балансом юзера
	$change_style_price = 10;      // Цена смены стиля
	$change_nick_price  = 100;     // Цена смены ника
	
	if (!isset($user[$balans_field])) {
		$user[$balans_field] = 0; 
		$change_nick_price = $change_style_price = 0; 
	}
	
	if (!isset($_SESSION['csrf_token']))
		$_SESSION['csrf_token'] = uniqid(); 
	
	$mod         = isset($_GET['mod']) ? $_GET['mod'] : ''; 
	$act         = isset($_GET['act']) ? $_GET['act'] : ''; 
	$csrf_token  = isset($_GET['csrf_token']) ? $_GET['csrf_token'] : ''; 
	$item        = isset($_GET['item']) ? abs($_GET['item']) : 0; 
	$item_type   = isset($_GET['item_type']) ? abs($_GET['item_type']) : 0; 
	$nick_length = mb_strlen($user['nick']); 
	
	if ($item > $nick_length - 1)
		$item = 0; 
	
	$disable_bg = isset($_GET['disable_bg']); 
	
	$colors = array_values(unpack("V*", $user['nick_style_temp'])); 
	$total_colors = count($colors); 
	
	if ($total_colors != ($nick_length * 2)) {
		$colors = NickStyle::fixColors($colors, $user['nick']); 
		$total_colors = $nick_length * 2; 
	}
	
	switch ($act) {
		case "change_nick":
			$set['title'] = 'Смена ника'; 
			include_once '../sys/inc/thead.php'; 
			aut(); 
			
			$new_nick = isset($_GET['nick']) ? 
				str_replace(array(
					"\0", "\a", "\b", "\t", "\n", "\v", "\f", "\r"
				), "_", trim($_GET['nick'])) : ''; 
			
			$errors = array(); 
			if ($new_nick) {
				if ($user['nick'] == $new_nick)
					$errors[] = 'У вас и так сейчас такой ник :)'; 
				elseif ($user['balans'] < $change_nick_price)
					$errors[] = 'У вас не хватает баллов для смены ника!'; 
				elseif (mb_strlen($new_nick) < 3)
					$errors[] = 'Длина ника не может быть менее 3 символов!'; 
				elseif (mb_strlen($new_nick) > 32)
					$errors[] = 'Длина ника не может быть более 32 символов!'; 
				elseif (preg_match("/[^A-zА-я0-9\-\_\ ]/ui", $new_nick) > 0)
					$errors[] = 'Обнаружены запрещённые символы в нике!'; 
				else {
					$req = mysql_query(
						"SELECT COUNT(`id`) FROM `user` WHERE ".
						"`nick` = '".mysql_real_escape_string($new_nick)."' LIMIT 1"
					); 
					if (mysql_result($req, 0) > 0 && mb_strtolower($user['nick']) != mb_strtolower($new_nick))
						$errors[] = 'Ник '.$new_nick.' уже зарегистрирован!'; 
				}
			}
			
			echo '<div class="title">Смена ника</div>'; 
			if ($new_nick && !$errors) {
				if ($csrf_token && $_SESSION['csrf_token'] == $csrf_token) {
					mysql_query ("
						INSERT INTO `nick_changes` SET 
						`old_nick` = '".mysql_real_escape_string($user['nick'])."', 
						`new_nick` = '".mysql_real_escape_string($new_nick)."', 
						`time` = '".time()."', `user_id` = '".$user['id']."'
					"); 
					
					$new_tmp_nick_style = NULL; 
					$new_nick_style = NULL; 
					$user_colors = array_values(unpack("V*", $user['nick_style'])); 
					if (strlen($new_nick) != strlen($user['nick'])) {
						$user_colors = NickStyle::fixColors($user_colors, $new_nick); 
						$new_nick_style = ""; 
						foreach ($user_colors as $color)
							$new_nick_style .= pack("V", $color); 
						
						$colors = NickStyle::fixColors($colors, $new_nick); 
						$new_tmp_nick_style = ""; 
						foreach ($colors as $color)
							$new_tmp_nick_style .= pack("V", $color); 
					}
					
					mysql_query("
						UPDATE `user` SET 
						`nick` = '".mysql_real_escape_string($new_nick)."'
						".($change_nick_price > 0 ? ", `".$balans_field."` = `".$balans_field."` - ".$change_nick_price : "")."
						".($new_nick_style !== NULL ? ', `nick_style` = 0x'.bin2hex($new_nick_style) : '')."
						".($new_tmp_nick_style !== NULL ? ', `nick_style_temp` = 0x'.bin2hex($new_tmp_nick_style) : '')."
						WHERE `id` = ".$user['id']." LIMIT 1
					"); 
?>
					<div class="msg">
						Ваш ник успешно изменён на <b><?= $new_nick ?>!</b>
					</div>
<?php
				} else {
?>
					<div class="err">
						Вы действительно уверенны, что хотите сменить свой ник на <b><?= $new_nick ?></b>?<br />
						<a href="?act=change_nick&amp;nick=<?= urlencode($new_nick) ?>&amp;csrf_token=<?= $_SESSION['csrf_token'] ?>">Да</a>
						&nbsp;&nbsp;&nbsp;
						<a href="?act=change_nick">Нет</a>
					</div>
<?php
				}
			} else {
?>
				<?= $errors ? '<div class="err">'.implode($errors, '<br />').'</div>' : '' ?>
				<form action="?" method="GET">
					<div class="post">
						<b>Введите желаемый ник:</b><br />
						<input type="text" value="<?= htmlspecialchars($new_nick) ?>" name="nick" />
						<input type="submit" value="Изменить" /><br />
						<input type="hidden" name="act" value="change_nick" />
						<?php if ($change_nick_price > 0): ?>
						<small>
							Стоимость смены ника <b class="green"><?= $change_nick_price ?></b> баллов
						</small>
						<?php endif; ?>
					</div>
					<div class="title">История смены ника</div>
<?php						
					$total = mysql_result(
						mysql_query("SELECT COUNT(`user_id`) FROM `nick_changes` WHERE `user_id` = ".$user['id']), 
						0
					); 
					
					$pages = k_page($total, $set['p_str']); 
					$page  = page($pages); 
					$start = $set['p_str'] * $page - $set['p_str']; 
					
					$req = mysql_query("
						SELECT * FROM `nick_changes` WHERE 
						`user_id` = ".$user['id']." 
						ORDER BY `time` DESC LIMIT ".$start.",".$set['p_str']
					); 
					
					if ($total > 0) {
						$i = 0; 
						while ($res = mysql_fetch_assoc($req)) {
							// echo '<div class="'.($i++ % 2 ? 'list2' : 'list1').'">'; 
							echo '<div class="post">'; 
							echo '<span class="green">['.date("d/m/Y в H:i", $res['time']).']</span> '; 
							echo $res['old_nick'].' на '.$res['new_nick']; 
							echo '</div>'; 
						}
						if ($pages > 1)
							str('?act=change_nick&amp;', $pages, $page); 
					} else {
						echo '<div class="post">Вы ещё не меняли свой ник. </div>'; 
					}
?>
				</form>
<?php			
			}
			echo '<div class="menu"><a href="?">Назад</a></div>'; 
			include_once '../sys/inc/tfoot.php'; 
		break; 
		
		case "save": 
			$color  = isset($_GET['color']) ? abs($_GET['color']) : 0; 
			$offset = $item_type == 1 ? 1 : 0; 
			
			switch ($mod) {
				case "rainbow": 
					$letters_per_color = round($nick_length / count(NickStyle::$rainbow)); 
					
					$rainbow_index = 0; 
					$total_rainbow = count(NickStyle::$rainbow); 
					for ($i = 0; $i < $total_colors; $i += 2) {
						$colors[$i]     = NickStyle::$rainbow[$rainbow_index]; 
						$colors[$i + 1] = NickStyle::DEFAULT_BG_COLOR; 
						++$rainbow_index; 
						if ($total_rainbow - 1 <= $rainbow_index)
							$rainbow_index = 0; 
					}
				break; 
				
				case "chess":
					$color0 = isset($_GET['start_color']) ? $_GET['start_color'] : 0; 
					$color1 = isset($_GET['end_color']) ? $_GET['end_color'] : 0xFFFFFF; 
					
					$bg_color0 = isset($_GET['start_bg_color']) ? hexdec($_GET['start_bg_color']) : 0xFFFFFF; 
					$bg_color1 = isset($_GET['end_bg_color']) ? hexdec($_GET['end_bg_color']) : 0; 
					
					for ($i = 0, $j = 0; $i < $total_colors; $i += 2, ++$j) {
						$colors[$i] = $j % 2 == 0 ? $color0 : $color1; 
						if (!$disable_bg)
							$colors[$i + 1] = $j % 2 == 0 ? $bg_color0 : $bg_color1; 
						else
							$colors[$i + 1] = NickStyle::DEFAULT_BG_COLOR; 
					}
				break; 
				
				case "gradient":
					$start_color = isset($_GET['start_color']) ? $_GET['start_color'] : 0; 
					$end_color   = isset($_GET['end_color']) ? $_GET['end_color'] : 0xFFFFFF; 
					
					$start_bg_color = isset($_GET['start_bg_color']) ? $_GET['start_bg_color'] : 0xFFFFFF; 
					$end_bg_color   = isset($_GET['end_bg_color']) ? $_GET['end_bg_color'] : 0; 
					
					$start_r = ($start_color >> 16) & 0xFF; 
					$start_g = ($start_color >> 8) & 0xFF; 
					$start_b = ($start_color >> 0) & 0xFF; 
					
					$end_r = ($end_color >> 16) & 0xFF; 
					$end_g = ($end_color >> 8) & 0xFF; 
					$end_b = ($end_color >> 0) & 0xFF; 
					
					$start_bg_r = ($start_bg_color >> 16) & 0xFF; 
					$start_bg_g = ($start_bg_color >> 8) & 0xFF; 
					$start_bg_b = ($start_bg_color >> 0) & 0xFF; 
					
					$end_bg_r = ($end_bg_color >> 16) & 0xFF; 
					$end_bg_g = ($end_bg_color >> 8) & 0xFF; 
					$end_bg_b = ($end_bg_color >> 0) & 0xFF; 
					
					for ($i = 0; $i < $total_colors; $i += 2) {
						$new_r = $start_r + round(($end_r - $start_r) * $i / $total_colors); 
						$new_g = $start_g + round(($end_g - $start_g) * $i / $total_colors); 
						$new_b = $start_b + round(($end_b - $start_b) * $i / $total_colors); 
						
						$new_bg_r = $start_bg_r + round(($end_bg_r - $start_bg_r) * $i / $total_colors); 
						$new_bg_g = $start_bg_g + round(($end_bg_g - $start_bg_g) * $i / $total_colors); 
						$new_bg_b = $start_bg_b + round(($end_bg_b - $start_bg_b) * $i / $total_colors); 
						
						$colors[$i]     = ($new_r << 16) | ($new_g << 8) | $new_b; 
						if (!$disable_bg)
							$colors[$i + 1] = ($new_bg_r << 16) | ($new_bg_g << 8) | $new_bg_b; 
						else
							$colors[$i + 1] = NickStyle::DEFAULT_BG_COLOR; 
					}
					
				break; 
				
				case "random": 
					for ($i = 0; $i < $total_colors; $i += 2) {
						$color_group    = array_rand(NickStyle::$colors); 
						$color_group_bg = array_rand(NickStyle::$colors); 
						$colors[$i]     = NickStyle::$colors[$color_group][array_rand(NickStyle::$colors[$color_group])]; 
						$colors[$i + 1] = NickStyle::$colors[$color_group_bg][array_rand(NickStyle::$colors[$color_group_bg])]; 
					}
				break; 
				
				default:
					$colors[$offset + $item * 2] = $color; 
				break; 
			}
			
			if ($csrf_token && $_SESSION['csrf_token'] == $csrf_token) {
				$user['nick_style_temp'] = ""; 
				foreach ($colors as $color)
					$user['nick_style_temp'] .= pack("V", $color); 
				mysql_query("UPDATE `user` SET `nick_style_temp` = 0x".bin2hex($user['nick_style_temp'])." WHERE `id` = ".$user['id']." LIMIT 1"); 
			}
			
			header("Location: ?"); 
		break; 
		
		case "buy":
			if ($user['balans'] < $change_style_price) {
				$set['title'] = 'Смена стиля ника'; 
				include_once '../sys/inc/thead.php'; 
				aut(); 
				echo 
					'<div class="err">'.
					'У вас не хватает баллов для смены стиля ника!<br />'.
					'Смена стиля стоит <b>'.$change_style_price.'$</b>. <br />'.
					'<a href="?">Назад</a>'.
					'</div>'; 
				include_once '../sys/inc/tfoot.php'; 
			} else {
				if ($csrf_token && $_SESSION['csrf_token'] == $csrf_token) {
					$user['nick_style_temp'] = ""; 
					foreach ($colors as $color)
						$user['nick_style_temp'] .= pack("V", $color); 
					mysql_query(
						"UPDATE `user` SET ".
						($change_style_price > 0 ? "`".$balans_field."` = `".$balans_field."` - ".$change_style_price.", " : "").
						"`nick_style` = 0x".bin2hex($user['nick_style_temp'])." ".
						"WHERE `id` = ".$user['id']." LIMIT 1"
					) or die(mysql_error()); 
					$user['nick_style'] = $user['nick_style_temp']; 
				}
				header("Location: ?"); 
			}
		break; 
		
		case "reset":
			if ($csrf_token && $_SESSION['csrf_token'] == $csrf_token) {
				mysql_query("UPDATE `user` SET `nick_style_temp` = 0x".bin2hex($user['nick_style'])." WHERE `id` = ".$user['id']." LIMIT 1"); 
				$user['nick_style_temp'] = $user['nick_style']; 
			}
			header("Location: ?"); 
		break; 
		
		case "select_color":
			$set['title'] = 'Настройка стиля ника | Выбор цвета'; 
			include_once '../sys/inc/thead.php'; 
			aut(); 
			
			echo '<div class="title"><a href="?">Настройка стиля ника</a> | Выбор цвета</div>'; 
			
			$save_vars = $_GET; 
			$save_vars['act'] = $mod; 
			$save_vars['csrf_token'] = $_SESSION['csrf_token']; 
			$param = isset($_GET['param']) ? trim($_GET['param']) : ''; 
			if (!$param)
				$param = 'color'; 
			
			$save_vars[$param] = NickStyle::DEFAULT_BG_COLOR; 
			
			echo '<div class="post">'; 
			echo '<a href="?'.http_build_query($save_vars, "", "&amp;").'">Без цвета</a>'; 
			echo '</div>'; 
			
			foreach (NickStyle::$colors as $group => $colors) {
				echo '<div class="title">'.$group.'</div>'; 
				echo '<table>'; 
				foreach ($colors as $color_name => $color_value) {
					$save_vars[$param] = $color_value; 
					echo '<tr>'; 
					echo '<td style="width: 16px; height: 16px; border: 1px solid #000; background-color: #'.sprintf("%06X", $color_value).'"></td>'; 
					echo '<td><a href="?'.http_build_query($save_vars, "", "&amp;").'">'.$color_name.'</a></td>'; 
					echo '</tr>'; 
				}
				echo '</table>'; 
			}
			include_once '../sys/inc/tfoot.php'; 
		break; 
		
		case "gradient":
			$set['title'] = 'Настройка стиля ника | Градиент'; 
			include_once '../sys/inc/thead.php'; 
			aut(); 
			
			$start_color = isset($_GET['start_color']) ? abs($_GET['start_color']) : 0; 
			$end_color   = isset($_GET['end_color']) ? abs($_GET['end_color']) : 0xFFFFFF; 
			
			$start_bg_color = isset($_GET['start_bg_color']) ? abs($_GET['start_bg_color']) : 0xFFFFFF; 
			$end_bg_color   = isset($_GET['end_bg_color']) ? abs($_GET['end_bg_color']) : 0; 
			
			$args0 = array(
				'param' => 'start_color', 'end_color' => $end_color, 
				'start_bg_color' => $start_bg_color, 'end_bg_color' => $end_bg_color
			); 
			$args1 = array(
				'param' => 'end_color', 'start_color' => $start_color, 
				'start_bg_color' => $start_bg_color, 'end_bg_color' => $end_bg_color
			); 
			$args2 = array(
				'param' => 'start_bg_color', 'start_color' => $start_color, 
				'end_color' => $end_color, 'end_bg_color' => $end_bg_color
			); 
			$args3 = array(
				'param' => 'end_bg_color', 'start_color' => $start_color, 
				'start_bg_color' => $start_bg_color, 'end_color' => $end_color
			); 
?>
			<form action="?" method="GET">
				<div class="title"><a href="?">Настройка стиля ника</a> | Градиент</div>
				<div class="post">
					<b>Цвет текста:</b><br />
					<table>
						<tr>
							<td>От:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $start_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=gradient&amp;<?= http_build_query($args0, "", "&amp;") ?>">выбрать</a>]</td>
						</tr>
						
						<tr>
							<td>До:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $end_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=gradient&amp;<?= http_build_query($args1, "", "&amp;") ?>">выбрать</a>]<br /></td>
						</tr>
					</table>
					
					<input name="start_color" type="hidden" value="<?= $start_color ?>" />
					<input name="end_color" type="hidden" value="<?= $end_color ?>" />
				</div>
				
				<div class="post">
					<b>Фон текста:</b><br />
					<table>
						<tr>
							<td>От:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $start_bg_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=gradient&amp;<?= http_build_query($args2, "", "&amp;") ?>">выбрать</a>]</td>
						</tr>
						
						<tr>
							<td>До:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $end_bg_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=gradient&amp;<?= http_build_query($args3, "", "&amp;") ?>">выбрать</a>]<br /></td>
						</tr>
					</table>
					
					<input type="checkbox" name="disable_bg" value="1" id="disable_bg" />
					<label for="disable_bg">Отключить фон</label>
					
					<input name="start_bg_color" type="hidden" value="<?= $start_bg_color ?>" />
					<input name="end_bg_color" type="hidden" value="<?= $end_bg_color ?>" />
				</div>
				
				<input type="hidden" name="act" value="save" />
				<input type="hidden" name="mod" value="gradient" />
				<input type="hidden" name="csrf_token" value="<?= $_SESSION['csrf_token'] ?>" />
				<input type="submit" value="Генерировать!" />
			</form>
<?php
			include_once '../sys/inc/tfoot.php'; 
		break; 
		
		case "chess":
			$set['title'] = 'Настройка стиля ника | Чередование'; 
			include_once '../sys/inc/thead.php'; 
			aut(); 
			
			$start_color = isset($_GET['start_color']) ? abs($_GET['start_color']) : 0xFFFFFF; 
			$end_color   = isset($_GET['end_color']) ? abs($_GET['end_color']) : 0; 
			
			$start_bg_color = isset($_GET['start_bg_color']) ? abs($_GET['start_bg_color']) : 0; 
			$end_bg_color   = isset($_GET['end_bg_color']) ? abs($_GET['end_bg_color']) : 0xFFFFFF; 
			
			$args0 = array(
				'param' => 'start_color', 'end_color' => $end_color, 
				'start_bg_color' => $start_bg_color, 'end_bg_color' => $end_bg_color
			); 
			$args1 = array(
				'param' => 'end_color', 'start_color' => $start_color, 
				'start_bg_color' => $start_bg_color, 'end_bg_color' => $end_bg_color
			); 
			$args2 = array(
				'param' => 'start_bg_color', 'start_color' => $start_color, 
				'end_color' => $end_color, 'end_bg_color' => $end_bg_color
			); 
			$args3 = array(
				'param' => 'end_bg_color', 'start_color' => $start_color, 
				'start_bg_color' => $start_bg_color, 'end_color' => $end_color
			); 
?>
			<form action="?" method="GET">
				<div class="title"><a href="?">Настройка стиля ника</a> | Чередование</div>
				<div class="post">
					<b>Цвет текста:</b><br />
					<table>
						<tr>
							<td>Первый цвет:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $start_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=chess&amp;<?= http_build_query($args0, "", "&amp;") ?>">выбрать</a>]</td>
						</tr>
						
						<tr>
							<td>Второй цвет:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $end_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=chess&amp;<?= http_build_query($args1, "", "&amp;") ?>">выбрать</a>]<br /></td>
						</tr>
					</table>
					
					<input name="start_color" type="hidden" value="<?= $start_color ?>" />
					<input name="end_color" type="hidden" value="<?= $end_color ?>" />
				</div>
				
				<div class="post">
					<b>Фон текста:</b><br />
					<table>
						<tr>
							<td>Первый цвет:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $start_bg_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=chess&amp;<?= http_build_query($args2, "", "&amp;") ?>">выбрать</a>]</td>
						</tr>
						
						<tr>
							<td>Второй цвет:</td>
							<td style="font: 16px monospace; background-color: #<?= sprintf("%06X", $end_bg_color) ?>">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
							<td>[<a href="?act=select_color&amp;mod=chess&amp;<?= http_build_query($args3, "", "&amp;") ?>">выбрать</a>]<br /></td>
						</tr>
					</table>
					
					<input type="checkbox" name="disable_bg" value="1" id="disable_bg" />
					<label for="disable_bg">Отключить фон</label>
					
					<input name="start_bg_color" type="hidden" value="<?= $start_bg_color ?>" />
					<input name="end_bg_color" type="hidden" value="<?= $end_bg_color ?>" />
				</div>
				
				<input type="hidden" name="act" value="save" />
				<input type="hidden" name="mod" value="chess" />
				<input type="hidden" name="csrf_token" value="<?= $_SESSION['csrf_token'] ?>" />
				<input type="submit" value="Генерировать!" />
			</form>
<?php 
			include_once '../sys/inc/tfoot.php'; 
		break; 
		
		default: 
			$set['title'] = 'Настройка ника'; 
			include_once '../sys/inc/thead.php'; 
			aut(); 
?>
			<div class="title">Смена ника</div>
			<form action="?" method="GET">
				<div class="post">
					<b>Введите желаемый ник:</b><br />
					<input type="text" value="" name="nick" />
					<input type="submit" value="Изменить" /><br />
					<input type="hidden" name="act" value="change_nick" />
					<?php if ($change_nick_price > 0): ?>
					<small>
						Стоимость смены ника <b class="green"><?= $change_nick_price ?>$</b>
					</small><br />
					<?php endif; ?>
					<a href="?act=change_nick">История смены ника</a>
				</div>
			</form>
			
			<div class="title">Настройка стиля ника</div>
			<div class="post">
				Текущий стиль: <?= NickStyle::prepareArray($colors, $user['nick']) ?><br />
<?php			
			if ($user['nick_style'] != $user['nick_style_temp']) {
				echo '<a href="?act=buy&amp;csrf_token='.$_SESSION['csrf_token'].'">Активировать</a> этот стиль'; 
				if ($change_style_price > 0)
					echo '(стоимость <b>'.$change_style_price.'</b> баллов)'; 
				echo '<br /><a href="?act=reset&amp;csrf_token='.$_SESSION['csrf_token'].'">Сбросить стиль</a>'; 
			}
			
			echo '</div>'; 
			for ($i = 0; $i < $nick_length; ++$i) {
				// echo '<div class="'.($i % 2 == 0 ? 'list1' : 'list2').'">'; 
				echo '<div class="post">'; 
				$letter = mb_substr($user['nick'], $i, 1); 
				
				echo '<span style="'.NickStyle::buildLetterStyle($colors, $i).'">'.$letter.'</span>'; 
				echo '<div class="sub">'; 
				echo '<a href="?act=select_color&amp;mod=save&amp;item='.$i.'&amp;item_type=0">Цвет</a> | '; 
				echo '<a href="?act=select_color&amp;mod=save&amp;item='.$i.'&amp;item_type=1">Фон</a>'; 
				echo '</div>'; 
				
				echo '</div>'; 
			}
?>
			<div class="title">Автоматическое генерирование стиля</div>
			<div class="post">
				&raquo; <a href="?act=gradient">Градиент</a><br />
				&raquo; <a href="?act=chess">Чередование</a><br />
				&raquo; <a href="?act=save&amp;mod=random&amp;csrf_token=<?= $_SESSION['csrf_token'] ?>">Рандомно</a><br />
				&raquo; <a href="?act=save&amp;mod=rainbow&amp;csrf_token=<?= $_SESSION['csrf_token'] ?>">Радуга</a><br />
			</div>
			
			<!-- <div class="menu">
				<a href="?">Назад</a>
			</div> -->
<?php
			include_once '../sys/inc/tfoot.php'; 
		break; 
	}
	
